using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;  
using MediII.Adapter.BizComponent.Base;
using MediII.Adapter.ReceiveToScanModel;

namespace MediII.Adapter.BizComponent.ADT
{
    public class BizComponent_ADT : BaseBizComponent, IBizComponent
    {
        public override string DoProcess(TaskMessage msg ,string msgType)
        {
            try
            {
                ADTHandler handler = ADTHandler.GetHandler(msgType);
                try
                {
                    handler.Handler(msg);
                    return string.Empty;
                }
                catch (Exception ex)
                {
                    if (ex.InnerException == null)
                    {
                        return ex.Message;
                    }
                    else
                    {
                        return ex.Message + " InnerException:" + ex.InnerException.Message;
                    }
                } 
            }
            catch (Exception ex)
            {
                return ex.Message;
            }
             
        }

       
    }
}
